## camitk 4.1.2

=== CMakeLists.txt ===
#--------------------------------------------
#
#      CamiTK Community Edition CEP Set
#
#--------------------------------------------
cmake_minimum_required(VERSION 3.0)

project(camitkcommunityedition)

# Allow testing of the whole camitk-communityedition project
include(CTest)
enable_testing()

set(CAMITK_PROJECT_NAME "CamiTK")
# The current version of CamiTK is defined in a separate file to avoid conflict/problem when merging
include(CamiTKVersion.cmake)
string(TOLOWER "${CAMITK_PROJECT_NAME}-${CAMITK_VERSION_MAJOR}.${CAMITK_VERSION_MINOR}" CAMITK_SHORT_VERSION_STRING)

# Specific to the Community Edition: this is the Community Edition build
set(CAMITK_COMMUNITY_EDITION_BUILD TRUE)

#-- This is a CEP set...
set(CAMITK_EXTENSION_PROJECT_SET TRUE CACHE BOOL "Is this a CamiTK Extension Project Set?")
set(CAMITK_EXTENSION_PROJECT_SET_NAME "camitk-communityedition" CACHE STRING "CEP Set Name")

# Configure CamiTK Community Edition packaging.
# Must be done before parsing extensions CMakeLists.txt files.
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/sdk/cmake/modules/macros ${CMAKE_CURRENT_SOURCE_DIR}/sdk/cmake/modules)
set(CAMITK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
include(camitk/packaging/CamiTKCommunityEditionPackaging)
camitk_communityedition_packaging()

# Configure include-what-you-use to check the current target
include(camitk/test/CamiTKIncludeWhatYouUse)

# CamiTK requires C++11
if(${CMAKE_VERSION} VERSION_LESS "3.1.3")
    # On MSVC C++11 is the default
    if(UNIX)
        # CMAKE_CXX_STANDARD not available for cmake 3.0.2 (as in debian old stable)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    endif()
else()
    # All target after this declaration will be compile with c++11 policy
    set(CMAKE_CXX_STANDARD 11)
endif()

# Specific to SDK: first compile the SDK (it looks like a CEP but is sooooo special...)
add_subdirectory(sdk)

# ...composed by the following CamiTK Extension Projects (optional)
add_subdirectory(imaging)
add_subdirectory(modeling)

# ... and tutorials that helps understand CamiTK (optional)
add_subdirectory(tutorials)


# Do we wrapp CamiTK for scripting it into Python using Shiboken and PySide ?
set(CAMITK_BINDING_PYTHON CACHE BOOL FALSE)

# Consider python binding only if the CMake variable is checked
if(CAMITK_BINDING_PYTHON)
    add_subdirectory(python_sdk)
endif()


camitk_write_manifest_data(CEP_SET)

=== imaging/CMakeLists.txt ===
#--------------------------------------------
# Imaging extension project
#--------------------------------------------
# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

camitk_extension_project(NAME "imaging"
                         CONTACT "Celine.Fouard@univ-grenoble-alpes.fr,Emmanuel.Promayon@univ-grenoble-alpes.fr"
                         DESCRIPTION "This CamiTK Extension Project is part of CamiTK Community Edition. It provides action and component extensions that are useful for processing medical imaging: the dicom and itkimage components, the itk filters and itk segmentation actions. It depends on... ITK. "
)

=== sdk/CMakeLists.txt ===
#--------------------------------------------
#               CamiTK SDK
#
# You should probably NOT modify this file...
# Please edit CEPDescription.cmake instead
#--------------------------------------------
include(SDKConfig.cmake) 

# Please add your project name inside the project() brackets, e.g. project(myProject)
# project(${CEP_NAME})

# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

# Configure CamiTK test coverage report generation (if and only if CAMITK_TEST_COVERAGE is set to TRUE)
include(camitk/test/CamiTKTestCoverage)

message(STATUS "Compilation build type: ${CMAKE_BUILD_TYPE}")
if (CAMITK_TEST_COVERAGE)
    message(STATUS "Test coverage: enabled")
else()
    message(STATUS "Test coverage: disabled")
endif()

# include global install of SDK
# This is a SDK build => global install is done in CMAKE_INSTALL_PREFIX
add_custom_target(camitk-ce-global-install
    COMMAND ${CMAKE_COMMAND} -E echo "Global Installation in ${CMAKE_INSTALL_PREFIX}"
    # First remove the WIN32 system runtime libraries dependencies
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_SYSTEM_RUNTIME_LIBS:STRING=" " ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Configuration for ${CMAKE_INSTALL_PREFIX} done."
    # Second cmake to install
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target install --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target camitk-ce-copy-camitkdirtxt --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -E echo "File installation done."
    COMMAND ${CMAKE_COMMAND} -E echo "Global installation in ${CMAKE_INSTALL_PREFIX} done."
    COMMENT "Global installation"
)

# The definition of SDK_TOP_LEVEL_SOURCE_DIR and SDK_TOP_LEVEL_BINARY_DIR are
# are needed to store the current source dir to pass as an argument to the ConfigureCamiTKDirTxt.cmake script in camitk-ce-copy-camitkdirtxt
set(SDK_TOP_LEVEL_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SDK_TOP_LEVEL_BINARY_DIR ${CMAKE_BINARY_DIR})
# specific top-level target that prepare and copy the CamiTKDir.txt file in ${CAMITK_USER_DIR}
add_custom_target(camitk-ce-copy-camitkdirtxt
    # prepare the CamiTKConfig.cmake for installation
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
                             -DCAMITK_USER_DIR=${CAMITK_USER_DIR}
                             -DSDK_TOP_LEVEL_SOURCE_DIR=${SDK_TOP_LEVEL_SOURCE_DIR}
                             -DSDK_TOP_LEVEL_BINARY_DIR=${SDK_TOP_LEVEL_BINARY_DIR}
                             -P ${CMAKE_CURRENT_SOURCE_DIR}/ConfigureCamiTKDirTxt.cmake
    # Make sure the user dir exists
    COMMAND ${CMAKE_COMMAND} -E make_directory "${CAMITK_USER_DIR}"
    # Remove the previous version
    COMMAND ${CMAKE_COMMAND} -E remove -f ${CAMITK_USER_DIR}/CamiTKDir.txt
    # Copy the CamiTKDir.txt file in the ${CMAKE_USER_DIR} directory
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/CamiTKDir.txt ${CAMITK_USER_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "CamiTKDir.txt [${CMAKE_INSTALL_PREFIX}] copied in ${CAMITK_USER_DIR}"
)

# camitk-ce-local-install == install in User Config directory
add_custom_target(camitk-ce-local-install
    COMMAND ${CMAKE_COMMAND} -E echo "Local Installation in ${CAMITK_USER_DIR}"
    # First cmake to redefine install prefix
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CAMITK_USER_DIR} ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Configuration for ${CMAKE_INSTALL_PREFIX} done."    
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target install --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -E echo "File installation done."
    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target camitk-ce-copy-camitkdirtxt --config ${CMAKE_CFG_INTDIR}
    COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX} ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Local Installation in ${CAMITK_USER_DIR} done."
    COMMENT "Local installation"
)

# camitk-ce-update-translate == configure all the .qrc files for the different extensions of the SDK.
# .qrc files consider up to date .ts resources files for translation
add_custom_target(camitk-ce-update-translate
    COMMAND ${CMAKE_COMMAND} -E echo "Updating translation for CamiTK Community Edition"
    COMMAND ${CMAKE_COMMAND} -DCAMITK_TRANSLATE=TRUE ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -DCAMITK_TRANSLATE=FALSE ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_COMMAND} -E echo "Translation updated for CamiTK Community Edition"    
)

# make sure a copy of the CamiTKDir.txt file is written to ${CAMITK_USER_DIR}
# even if the user is just invoking the "install" target (from the IDE or command line)
install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} --target camitk-ce-copy-camitkdirtxt)")

# include CamiTK auto-documentation generation
include(CamiTKApiDoc)

# initialize subproject management
camitk_init_manifest_data()

# Create a shiboken path variable containing the CamiTK SDK tree structure, needed by shiboken to find C++ classes to wrap
set(SHIBOKEN_CAMITK_SDK_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# initialize automatic tests parsing
camitk_parse_test_init()

# add all subprojects, in dependencies order
#
# Note: testapplications are easier to manage if they are in a separate directory
# As testapplications are required to test actions and components but depends on library core,
# it is easier to keep them in a separate (specific) folder.
# -> dependencies are satisfied (thanks to camitk_extension macros
# -> parallel build is not broken
camitk_add_subdirectory(libraries)
camitk_add_subdirectory(testapplications)
camitk_add_subdirectory(components)
camitk_add_subdirectory(actions)
camitk_add_subdirectory(viewers)
camitk_add_subdirectory(applications)
camitk_add_subdirectory(cmake) # for cmake module installation

# Validate project.xml file for CDash
camitk_write_manifest_data()

# Validate CamiTKTestsLevel.txt file for wiki
camitk_parse_test_validate()

=== tutorials/CMakeLists.txt ===
#--------------------------------------------
# Tutorial extension project
#--------------------------------------------
# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

# Configure this CEP!
camitk_extension_project(NAME "tutorials"
                         CONTACT "Celine.Fouard@univ-grenoble-alpes.fr,Emmanuel.Promayon@univ-grenoble-alpes.fr"
                         DESCRIPTION "This CamiTK Extension Project is part of CamiTK Community Edition. It contains some example code for actions, components, applications and viewer extensions. While these extension are not useful for end-user their codes is provided as \"How To\" write CamiTK extensions. The other Open-Source CamiTK CEP is also a great source of practical examples."
)

=== imaging/libraries/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a library, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_library() macro appropriately

# Find applications
get_subdirectories(LIBRARY_LIST)

# --- add every given library
foreach(LIB_NAME ${LIBRARY_LIST})
   camitk_add_subdirectory(${LIB_NAME})
endforeach()

=== modeling/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro appropriately

# Add subdirectories in CMake project, manually => handling dependencies
camitk_add_subdirectory(pmlcomponent)
camitk_add_subdirectory(mmlcomponent)

=== python_sdk/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro appropriately

#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   add_subdirectory(${APPLICATION_NAME})
endforeach()

=== python_sdk/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro appropriately
#---------------------------------------------------------------------------------
#
# Recursively parse subdirectories for classes to expose 
#
#---------------------------------------------------------------------------------
# Shiboken PATH to look for typesystem.xml adn global.h files, recursively udapted
set(SHIBOKEN_TYPESYSTEM_PATH ${SHIBOKEN_TYPESYSTEM_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
set(SHIBOKEN_GLOBAL_H_PATH ${SHIBOKEN_GLOBAL_H_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

# find components
get_subdirectories(COMPONENTS_LIST)

# Add subdirectories in CMake project
foreach(COMPONENT_NAME ${COMPONENTS_LIST})
  add_subdirectory(${COMPONENT_NAME})
endforeach()

=== sdk/applications/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add an application, just add a subdirectory (the application name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_application() macro appropriately

# Find applications
get_subdirectories(APPLICATIONS_LIST)

# Recursively update the shiboken path variable containing the CamiTK SDK tree structure
set(SHIBOKEN_CAMITK_SDK_PATH ${SHIBOKEN_CAMITK_SDK_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "") 

# --- add every given application
foreach(APPLICATION_NAME ${APPLICATIONS_LIST})
   camitk_add_subdirectory(${APPLICATION_NAME})
endforeach()

=== sdk/cmake/CMakeLists.txt ===
#
# cmake module CMakeList.txt
#
set(CAMITK_CMAKE_PATH "share/${CAMITK_SHORT_VERSION_STRING}/cmake")

# install CamiTK configuration file
install(FILES ${CMAKE_BINARY_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake/CamiTKConfig.cmake
        DESTINATION ${CAMITK_CMAKE_PATH}
        )
        
# install the generic cmake files
file(GLOB CAMITK_CMAKE_FILES "modules/*.cmake")
install(FILES ${CAMITK_CMAKE_FILES}
        DESTINATION ${CAMITK_CMAKE_PATH}
        )

# install the macros 
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/modules/macros
        DESTINATION ${CAMITK_CMAKE_PATH}
        )
        
# install launcher-templates
file(GLOB CAMITK_CMAKE_FILES "modules/launcher-templates/*.in")
install(FILES ${CAMITK_CMAKE_FILES}
        DESTINATION ${CAMITK_CMAKE_PATH}/launcher-templates
        )

=== sdk/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro appropriately

# find components
get_subdirectories(COMPONENTS_LIST)

# Recursively update the shiboken path variable containing the CamiTK SDK tree structure
set(SHIBOKEN_CAMITK_SDK_PATH ${SHIBOKEN_CAMITK_SDK_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "") 

# Add subdirectories in CMake project
foreach(COMPONENT_NAME ${COMPONENTS_LIST})
  camitk_add_subdirectory(${COMPONENT_NAME})
endforeach()

=== tutorials/actions/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the action_extension() macro apropriately

# find components
get_subdirectories(ACTIONS_LIST)

# Add subdirectories in CMake project
foreach(ACTION_NAME ${ACTIONS_LIST})
  add_subdirectory(${ACTION_NAME})
endforeach()

=== debian/changelog ===
camitk (4.1.2-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:24 +0100

camitk (4.1.2-4) unstable; urgency=medium

  * Adapt (Build-)Depends of libgdcm to new names
    Closes: #949349
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 13:05:20 +0100

camitk (4.1.2-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libcamitk-dev: Add Breaks against several vtk6 packages to force switching
    from libvtk6-dev to libvtk7-dev.  (Closes: #926430)

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2019 07:36:59 +0200

camitk (4.1.2-2) unstable; urgency=medium

  * VTK7 compatibility. Closes: #909120
  * Avoid double delete (patch from Bernhard Übelacker)
  * update d/control: multiarch, debphelper and compat

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Tue, 23 Oct 2018 10:19:39 +0200

camitk (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * control, rules, and autopkgtest updated for new release
  * watch checks tag on upstream gilab
  * fixed mispelling detected by lintian
  * fixed config test and lib core dependencies

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Wed, 18 Jul 2018 13:37:31 +0000

=== debian/control ===
Source: camitk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libvtk7-dev,
               libvtk7-qt-dev,
               qtbase5-dev,
               libqt5xmlpatterns5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               xsdcxx,
               libinsighttoolkit4-dev,
               libfftw3-dev,
               libgdcm-dev,
               libvtkgdcm-dev,
               xvfb,
               xauth,
               doxygen,
               graphviz
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/camitk
Vcs-Git: https://salsa.debian.org/med-team/camitk.git
Homepage: https://camitk.imag.fr/

Package: libcamitk4
Architecture: any
Section: libs
Depends: libqtpropertybrowser4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: camitk-config
Description: Computer Assisted Medical Intervention Tool Kit - runtime
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the shared libraries needed to run CamiTK applications.

Package: camitk-config
Architecture: any
Depends: libcamitk4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamitk3,
        libcamitk4 (<< 4.1.2)
Replaces: libcamitk3,
          libcamitk4 (<< 4.1.2)
Description: Computer Assisted Medical Intervention Tool Kit - config
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains a command-line application to diagnose and check
 the CamiTK configuration and environment setup.

Package: libcamitk-dev
Architecture: any
Section: libdevel
Depends: libcamitk4 (= ${binary:Version}),
         camitk-config,
         libqtpropertybrowser-dev,
         cmake,
         libvtk7-dev,
         libvtk7-qt-dev,
         qtbase5-dev,
         libqt5xmlpatterns5-dev,
         libqt5opengl5-dev,
         qttools5-dev-tools,
         xsdcxx,
         libinsighttoolkit4-dev,
         libfftw3-dev,
         libgdcm-dev,
         libvtkgdcm-dev,
         xvfb,
         xauth,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: camitk-imp
Suggests: camitk-actionstatemachine
Breaks: libcamitk3-dev,
        libvtk6-dev,
        libvtk6-java,
        libvtk6-jni,
        libvtk6-qt-dev
Replaces: libcamitk3-dev
Description: Computer Assisted Medical Intervention Tool Kit - development
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains development files needed to build CamiTK applications.
 This package also provides the CamiTK wizard application to create new
 extensions.

Package: libcamitk4-data
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - data
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the examples and test data for CamiTK.

Package: libcamitk4-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - documentation
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the documentation for CamiTK.

Package: camitk-imp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: camitk-actionstatemachine
Description: workbench application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-imp is the CamiTK workbench application where you can test
 all available extensions for prototyping.
 It provides an easy and interactive access to all available data and
 algorithm parameters, including the one you build yourself using
 the CamiTK SDK.
 .
 For example, camitk-imp can visualize medical images from a lot of different
 (standard) formats, offers image processing and segmentation algorithms to
 reconstruct a mesh geometry and run a biomechanical simulation.

Package: camitk-actionstatemachine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: camitk-imp
Description: pipeline replay application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-actionstatemachine is able to replay a pipeline (workflow) of CamiTK
 actions.
 This application takes an CamiTK augmented version of a SCXML subset as input
 and allow on to replay interactive the described state-machine containing a
 list of CamiTK actions and transitions.

Package: libqtpropertybrowser4
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libqtpropertybrowser3
Replaces: libqtpropertybrowser3
Description: Qt Property Browser Library - runtime
 A framework providing a set of graphical editors for
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains the shared libraries needed to run applications
 linked against libqtpropertybrowser4.

Package: libqtpropertybrowser-dev
Architecture: any
Section: libdevel
Depends: libqtpropertybrowser4 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libqtpropertybrowser3-dev
Replaces: libqtpropertybrowser3-dev
Description: Qt Property Browser Library - development
 A framework providing a set of graphical editors for
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains development files needed to build applications
 using Qt Property Browser
